<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
    <style>
        /* General Styles */
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f9;
            margin: 0;
            padding: 0;
            color: #333;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
        }

        main {
            background: #ffffff;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
            padding: 20px;
            max-width: 800px;
            width: 100%;
        }

        h1 {
            font-size: 2em;
            margin-bottom: 10px;
            text-align: center;
            color: #4CAF50;
        }

        /* Link Styles */
        a {
            text-decoration: none;
            color: #4CAF50;
            font-weight: bold;
        }

        a:hover {
            color: #388E3C;
            text-decoration: underline;
        }

        /* Table Styles */
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
            overflow-x: auto;
        }

        th, td {
            padding: 10px;
            text-align: left;
            border: 1px solid #ddd;
        }

        th {
            background-color: #4CAF50;
            color: white;
            font-weight: bold;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
        }

        tr:hover {
            background-color: #f1f1f1;
        }

        /* Responsive Design */
        @media (max-width: 600px) {
            body {
                padding: 10px;
            }

            h1 {
                font-size: 1.5em;
            }

            table {
                font-size: 0.9em;
            }
        }
    </style>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p><a href="{% url 'todo_list_create' %}"> Create a new list</a></p>
            <p><a href="{% url 'todo_item_create' %}"> Create a new item</a></p>
            
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in todolist_object %}
                <tr>
                    <td><a href="{% url 'todo_list_detail' list.id %}">{{list.name }}</a></td>
                    <td>{{list.items.count}}</td>
                </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
